Bug 5231 - possible errors for the deadline policy
: possible errors for the deadline policy
Status: CLOSED FIXED
: Gridway
Scheduler
: 5.2
: All All
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2007-04-19 10:42 by
Modified: 2007-06-22 11:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-19 10:42:54
This bug, nad possible solution was reported by Ping Lou in the mailing list,
mail below.

<=================================================

I think the implementation of the deadline policy may have some errors. I made
three changes to correct them. 

1. The first error is obvious. In gw_sch_conf_parser.l
DL_HALF was assigned to be the value of DL_WEIGHT. it should be 
DL_HALF              { lvalp->val_int = DL_HALF;           return VARIABLE;}

2. in gw_template_parser.l, add the current time to jt->deadline.
  jt->deadline += time(NULL);

3. in gw_scheduler_jobs.c, multipy C_half with 86400 (1 day)

C_half    = -1.5 * sched->sch_conf.dl_half * 86400;

After these changes, the deadline policy seems work.
============================================>
------- Comment #1 From 2007-05-17 06:52:47 -------
fixed as proposed by Ping Lou, changes has been committed to the TRUNK